Bug 573308 - PackageKit-qt: add versioned qt dependency
Summary: PackageKit-qt: add versioned qt dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-14 01:44 UTC by Rex Dieter
Modified: 2010-03-30 02:16 UTC (History)
4 users (show)

Fixed In Version: PackageKit-0.5.7-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:16:09 UTC


Attachments (Terms of Use)

Description Rex Dieter 2010-03-14 01:44:09 UTC
As it is, GA versions of PK/kpk don't work out of the box (for various reasons), so the usual minimal workaround to tell folks is
su -c 'yum update PackageKit kpackagekit'
prior to using gui updater tools.

Except that the latest, currently PackageKit-qt-0.5.7-1.fc12, was built against qt-4.6.x, and doesn't have any deps to enforce that.  Running against stock qt-4.5.x leads to failure.  (yes, a problem of my/our own making)

1.  So, my first suggestion is to do rebuild PackageKit with an added qt4 versioned dependency.  (I already added this to cvs PackageKit/devel branch).

another option:
2.  Rebuild PackageKit (and kpackagekit, if needed) against GA versions (or close to it) of qt/kde, but this would be trickier to implement.

If you're open to any of this (preferably 1, imo), I'd be happy to do the work to implement and issue any needed updates.

Comment 1 Richard Hughes 2010-03-22 15:56:07 UTC
(In reply to comment #0)
> If you're open to any of this (preferably 1, imo), I'd be happy to do the work
> to implement and issue any needed updates.    

Yes please, thanks.

Richard.

Comment 2 Rex Dieter 2010-03-22 15:58:28 UTC
ok

Comment 3 Fedora Update System 2010-03-22 16:39:21 UTC
PackageKit-0.5.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/PackageKit-0.5.7-2.fc12

Comment 4 Fedora Update System 2010-03-23 23:30:36 UTC
PackageKit-0.5.7-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/PackageKit-0.5.7-2.fc12

Comment 5 Fedora Update System 2010-03-30 02:16:05 UTC
PackageKit-0.5.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.